# $Revision: 1.5 $, $Date: 2007/01/26 16:42:58 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support
#
%define	_beta	beta6
%define	_rel	1
Summary:	Aqualung - music player for Linux
Summary(pl):	Aqualung - odtwarzacz muzyki dla Linuksa
Name:		aqualung
Version:	0.9
Release:	0.%{_beta}.%{_rel}
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/aqualung/%{name}-%{version}%{_beta}.tar.gz
# Source0-md5:	4a019e923316615ad117548a87d4792e
URL:		http://aqualung.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	flac-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	liblrdf-devel >= 0.3.7
BuildRequires:	libmad-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aqualung is a new music player for the GNU/Linux operating system. It
plays audio files from your filesystem and has the feature of
inserting no gaps between adjacent tracks.

%description -l pl
Aqualung to nowy odtwarzacz muzyki dla systemu operacyjnego GNU/Linux.
Odtwarza pliki dwikowe z systemu plikw i ma moliwo nie
wstawiania przerw midzy ciekami.

%prep
%setup -q -n %{name}-%{version}%{_beta}

%{__perl} -pi -e 's/CFLAGS="-O3/CFLAGS="\$CFLAGS/' configure.ac

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_alsa:--without-alsa}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aqualung.spec,v $
Revision 1.5  2007/01/26 16:42:58  glen
- 0.9-beta6

Revision 1.4  2005/03/27 09:07:29  darekr
- BR: perl-base

Revision 1.3  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.2  2004/11/27 18:52:05  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.1  2004/09/06 22:42:04  qboosh
- new
